import type { FetchOptions } from "../routes/base";
import type { FetchClaimHistoryOption, SpiralAbyssFetchOptions, CardListOptions, RedeemOptions, MonthDiaryOptions } from "../routes";
export declare const basicValidator: (key: string | number, options?: FetchOptions) => options is Required<FetchOptions>;
export declare const spiralAbyssValidator: (uid: string, options?: SpiralAbyssFetchOptions) => options is Required<FetchOptions> & FetchOptions & {
    previous?: boolean | undefined;
};
export declare const cardListValidator: (uid: string, options?: CardListOptions) => options is Required<FetchOptions> & FetchOptions & Partial<{
    need_avatar: boolean;
    need_action: boolean;
    need_stats: boolean;
    offset: number;
    limit: number;
}>;
export declare const redeemValidator: (code: string, options?: RedeemOptions) => options is Required<RedeemOptions>;
export declare const getMonthValidator: (uid: string, options?: Partial<MonthDiaryOptions>) => options is Required<MonthDiaryOptions>;
export declare const claimHistoryValidator: (options?: FetchClaimHistoryOption) => options is Required<FetchOptions> & FetchOptions & {
    page?: number | undefined;
};
